Skip to main content

JSF 1.2 and possible conflict within xerces

1 reply [Last post]
alexandre_jaquet
Offline
Joined: 2009-06-02

Hi,

I've developped a new application using jsf 1.2 and I'm getting an error when I try to deploy to bea weblogic 9.2

java.lang.AbstractMethodError: getTextContent
at com.sun.faces.config.processor.AbstractConfigProcessor.getNodeText(AbstractConfigProcessor.java:140)

I also have that kind of error when I'm trying to use org.w3c.dom.Node getTextContent

any idea ?

here is the list of my deployed librairies

aopalliance-1.0.jar
asm-1.5.3.jar
axis.jar
backport-util-concurrent-2.2.jar
cglib-2.1_3.jar
commons-beanutils-1.8.0.jar
commons-codec-1.3.jar
commons-collections-3.2.jar
commons-dbcp-1.3.0.jar
commons-digester-1.8.jar
commons-discovery-0.2.jar
commons-el-1.0.jar
commons-fileupload-1.2.jar
commons-lang-2.3.jar
commons-logging-1.1.1.jar
commons-logging-api-1.1.jar
commons-pool-1.3.jar
dom4j-1.6.1.jar
el-ri.jar
hibernate-3.2.6.ga.jar
hibernate-annotations-3.3.1.GA.jar
hibernate-commons-annotations-3.0.0.ga.jar
icefaces-comps.jar
icefaces-facelets.jar
icefaces.jar
jaas.config
jaxrpc.jar
jsf-api-1.2.jar
jsf-impl-1.2.jar
jsp-api-2.1-6.0.2.jar
jstl.jar
jta-1.0.1B.jar
junit-4.6.jar
log4j-1.2.15.jar
merlina-7.1.0.jar
out.txt
persistence-api-1.0.jar
saaj.jar
spring-aop-2.5.5.jar
spring-aspects-2.5.5.jar
spring-beans-2.5.5.jar
spring-context-2.5.5.jar
spring-core-2.5.5.jar
spring-jdbc-2.5.5.jar
spring-orm-2.5.5.jar
spring-tx-2.5.5.jar
spring-web-2.5.5.jar
wsdl4j.jar
xercesImpl.jar
xml-apis.jar

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
Ryan Lubke

On 6/29/09 11:24 PM, webtier@javadesktop.org wrote:
> Hi,
>
> I've developped a new application using jsf 1.2 and I'm getting an error when I try to deploy to bea weblogic 9.2
>
> java.lang.AbstractMethodError: getTextContent
> at com.sun.faces.config.processor.AbstractConfigProcessor.getNodeText(AbstractConfigProcessor.java:140)
>
> I also have that kind of error when I'm trying to use org.w3c.dom.Node getTextContent
>
I'm guessing the xerces.jar you're including with the application
doesn't conform to JAXP 1.3.
The problem is that xerces.jar in your application is 'over writing' the
default JAXP factories
effectively putting an older version of JAXP into play.

I would recommend trying to upgrade to a version of xerces that supports
JAXP 1.3.
> any idea ?
>
> here is the list of my deployed librairies
>
> aopalliance-1.0.jar
> asm-1.5.3.jar
> axis.jar
> backport-util-concurrent-2.2.jar
> cglib-2.1_3.jar
> commons-beanutils-1.8.0.jar
> commons-codec-1.3.jar
> commons-collections-3.2.jar
> commons-dbcp-1.3.0.jar
> commons-digester-1.8.jar
> commons-discovery-0.2.jar
> commons-el-1.0.jar
> commons-fileupload-1.2.jar
> commons-lang-2.3.jar
> commons-logging-1.1.1.jar
> commons-logging-api-1.1.jar
> commons-pool-1.3.jar
> dom4j-1.6.1.jar
> el-ri.jar
> hibernate-3.2.6.ga.jar
> hibernate-annotations-3.3.1.GA.jar
> hibernate-commons-annotations-3.0.0.ga.jar
> icefaces-comps.jar
> icefaces-facelets.jar
> icefaces.jar
> jaas.config
> jaxrpc.jar
> jsf-api-1.2.jar
> jsf-impl-1.2.jar
> jsp-api-2.1-6.0.2.jar
> jstl.jar
> jta-1.0.1B.jar
> junit-4.6.jar
> log4j-1.2.15.jar
> merlina-7.1.0.jar
> out.txt
> persistence-api-1.0.jar
> saaj.jar
> spring-aop-2.5.5.jar
> spring-aspects-2.5.5.jar
> spring-beans-2.5.5.jar
> spring-context-2.5.5.jar
> spring-core-2.5.5.jar
> spring-jdbc-2.5.5.jar
> spring-orm-2.5.5.jar
> spring-tx-2.5.5.jar
> spring-web-2.5.5.jar
> wsdl4j.jar
> xercesImpl.jar
> xml-apis.jar
> [Message sent by forum member 'alexandre_jaquet' (alexandre_jaquet)]
>
> http://forums.java.net/jive/thread.jspa?messageID=353523
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: webtier-unsubscribe@glassfish.dev.java.net
> For additional commands, e-mail: webtier-help@glassfish.dev.java.net
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: webtier-unsubscribe@glassfish.dev.java.net
For additional commands, e-mail: webtier-help@glassfish.dev.java.net